[API]
GetClassInfoExA
GetClassInfoExW
WNDCLASSEX

[INCLUDE]
PeekS

[CODE]
Public Function GetClassInfoEx(ByVal ClassName As String, ByRef xType1 As WNDCLASSEX) As Boolean
  xType1.cbSize = 48&
  xType1.hInstance = App.hInstance
  If IsUnicode Then
    GetClassInfoEx = (Not (GetClassInfoExW(0&, StrPtr(ClassName), xType1) = 0&))
    Else
    GetClassInfoEx = (Not (GetClassInfoExA(0&, ClassName, xType1) = 0&))
    End If
  If GetClassInfoEx Then xType1.ClassName = PeekS(xType1.Reserved_lpszClassName)
  End Function